{- | Biblioteca para TA. -}

{-  2010/jun/03. Leonel Fonseca. Construcción. -}

{-# OPTIONS  -fglasgow-exts       #-}
{-# LANGUAGE OverlappingInstances #-}

module Database.TA.TAB
       ( module Database.Oracle.Enumerator
       , module Data.Typeable
       , CR     (..)
       , InstanciaCR (..)
       , ambBDCompatible
       , collcatM
       , concatM
       , empalmar
       , emptySelect 
       , exnAt
       , genSelect
       , revertir
       , verASTs
       ) 

where

import Data.Typeable
import Control.Monad (liftM)
import Database.Oracle.Enumerator
       --  Para especificar qué se quiere consultar. 
import Database.TA.Core.RIS  
          ( CR(..), InstanciaCR(..), emptySelect )
       -- Generador de código
import Database.TA.Core.GenSelect 
          ( empalmar, genSelect, ambBDCompatible, verASTs )  
import Database.TA.Core.Infraestructura 
          ( exnAt, collcatM, concatM, revertir )

-- eof
